Skip to main content
GET
/
v3
/
video-agents
/
{session_id}
/
resources
/
{resource_id}
Get Session Resource
curl --request GET \
  --url https://api.heygen.com/v3/video-agents/{session_id}/resources/{resource_id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "resource_id": "<string>",
    "resource_type": "<string>",
    "source_type": "<string>",
    "url": "<string>",
    "thumbnail_url": "<string>",
    "preview_url": "<string>",
    "created_at": 123,
    "metadata": {}
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

session_id
string
required

Session ID

resource_id
string
required

Resource ID

Response

Successful response

data
SessionResource · object

Simplified session resource for external consumers.